curl --request GET \
--url https://{cluster}.voucherify.io/v1/loyalties/members/{memberId}/tiers \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "ltr_7rVIPlPzdSFwpnbCcUXgwzH2",
"name": "Tier 1 - Top",
"campaign_id": "camp_fkZ28pe7DUAEmmabofkxHI8N",
"metadata": {
"has_funds": true
},
"created_at": "2022-11-09T06:26:54.797Z",
"updated_at": "2022-11-25T11:27:58.578Z",
"earning_rules": {
"ern_95aq3JaE5A8xzHjoJPYNRqXZ": {
"type": "MULTIPLY",
"multiplier": 3
},
"ern_AdlWO2yt6b6llWsibIdiRXVE": {
"type": "MULTIPLY",
"multiplier": 5
},
"ern_HnRXyJHoj3E79r3KUWhgMgtD": {
"type": "MULTIPLY",
"multiplier": 3
},
"ern_raVUcdXruvXGuzm682ESrAzt": {
"type": "CUSTOM",
"points": 200
}
},
"rewards": {
"rewa_Or6gWZ5ASuGkBLjOf0IyiD4k": {
"type": "CUSTOM",
"points": 300
}
},
"config": {
"points": {
"from": 500,
"to": 1000
}
},
"points": {
"from": 500,
"to": 1000
},
"expiration": {
"customer_id": "cust_qBwHpagDOFu71Z3F22UzR80X",
"campaign_id": "camp_fkZ28pe7DUAEmmabofkxHI8N",
"tier_id": "ltr_7rVIPlPzdSFwpnbCcUXgwzH2",
"start_date": "2022-11-10",
"expiration_date": "2023-02-28",
"created_at": "2022-11-09T11:26:26.719Z",
"updated_at": "2022-11-10T08:54:47.200Z"
},
"object": "loyalty_tier"
}
],
"total": 1
}List Member's Loyalty Tiers
This endpoint belongs to the legacy loyalty API (/v1/loyalties).
Voucherify will not develop new features for this API. However, critical issues may still receive fixes.
For new integrations, use Loyalty v2.
If you have questions, contact Voucherify support.
Retrieve member tiers using the loyalty card ID.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/loyalties/members/{memberId}/tiers \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "ltr_7rVIPlPzdSFwpnbCcUXgwzH2",
"name": "Tier 1 - Top",
"campaign_id": "camp_fkZ28pe7DUAEmmabofkxHI8N",
"metadata": {
"has_funds": true
},
"created_at": "2022-11-09T06:26:54.797Z",
"updated_at": "2022-11-25T11:27:58.578Z",
"earning_rules": {
"ern_95aq3JaE5A8xzHjoJPYNRqXZ": {
"type": "MULTIPLY",
"multiplier": 3
},
"ern_AdlWO2yt6b6llWsibIdiRXVE": {
"type": "MULTIPLY",
"multiplier": 5
},
"ern_HnRXyJHoj3E79r3KUWhgMgtD": {
"type": "MULTIPLY",
"multiplier": 3
},
"ern_raVUcdXruvXGuzm682ESrAzt": {
"type": "CUSTOM",
"points": 200
}
},
"rewards": {
"rewa_Or6gWZ5ASuGkBLjOf0IyiD4k": {
"type": "CUSTOM",
"points": 300
}
},
"config": {
"points": {
"from": 500,
"to": 1000
}
},
"points": {
"from": 500,
"to": 1000
},
"expiration": {
"customer_id": "cust_qBwHpagDOFu71Z3F22UzR80X",
"campaign_id": "camp_fkZ28pe7DUAEmmabofkxHI8N",
"tier_id": "ltr_7rVIPlPzdSFwpnbCcUXgwzH2",
"start_date": "2022-11-10",
"expiration_date": "2023-02-28",
"created_at": "2022-11-09T11:26:26.719Z",
"updated_at": "2022-11-10T08:54:47.200Z"
},
"object": "loyalty_tier"
}
],
"total": 1
}Authorizations
Scopes
Gives access to whole server-side API.
Gives access to all endpoints and methods starting with /v1/loyalties.
Path Parameters
Unique loyalty card assigned to a particular customer.
"MmFAzfDe"
Response
Returns a data array containing the member's loyalty tiers.
Response body schema for GET v1/loyalties/members/{memberId}/tiers.
The type of the object represented by JSON. This object stores information about loyalty tiers in a dictionary.
list Identifies the name of the attribute that contains the array of loyalty tier objects.
data Show child attributes
Show child attributes
Total number of loyalty tier objects.

